# Generated by Django 3.2.8 on 2021-11-28 10:52

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0027_auto_20211121_0902"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districthomepage",
            name="subheader",
            field=wagtail.fields.StreamField(
                [
                    (
                        "header_simple",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "subtitle",
                                    wagtail.blocks.CharBlock(
                                        label="Podtitulek", required=False
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock()),
                            ]
                        ),
                    ),
                    (
                        "header",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nap", label="Titulek", required=False
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock()),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text tlačítka", required=False
                                    ),
                                ),
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz tlačítka", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Blok pod headerem",
            ),
        ),
    ]
